Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.io.xml
Class StaxDriver

    java.lang.Object
      com.thoughtworks.xstream.io.xml.AbstractXmlDriver
          com.thoughtworks.xstream.io.xml.StaxDriver

All Implemented Interfaces:
  HierarchicalStreamDriver

    public class StaxDriver

extends AbstractXmlDriver

A driver using the StAX API

Version:
  $Revision: 1345 $
Author:
  James Strachan

Constructor Summary
`StaxDriver()`
`StaxDriver(QNameMap qnameMap)`
`StaxDriver(QNameMap qnameMap, boolean repairingNamespace)` Deprecated. since 1.2, use an explicit call to `setRepairingNamespace(boolean)`
`StaxDriver(QNameMap qnameMap, XmlFriendlyReplacer replacer)`
`StaxDriver(XmlFriendlyReplacer replacer)`

Method Summary
`protected javax.xml.stream.XMLStreamReader` | `createParser(InputStream xml)`
`protected javax.xml.stream.XMLStreamReader` | `createParser(Reader xml)`
`HierarchicalStreamReader` | `createReader(InputStream in)`
`HierarchicalStreamReader` | `createReader(Reader xml)`
`AbstractPullReader` | `createStaxReader(javax.xml.stream.XMLStreamReader in)`
`StaxWriter` | `createStaxWriter(javax.xml.stream.XMLStreamWriter out)`
`StaxWriter` | `createStaxWriter(javax.xml.stream.XMLStreamWriter out, boolean writeStartEndDocument)`
`HierarchicalStreamWriter` | `createWriter(OutputStream out)`
`HierarchicalStreamWriter` | `createWriter(Writer out)`
`javax.xml.stream.XMLInputFactory` | `getInputFactory()`
`javax.xml.stream.XMLOutputFactory` | `getOutputFactory()`
`QNameMap` | `getQnameMap()`
`boolean` | `isRepairingNamespace()`
`void` | `setQnameMap(QNameMap qnameMap)`
`void` | `setRepairingNamespace(boolean repairing)`

Methods inherited from class com.thoughtworks.xstream.io.xml.AbstractXmlDriver
`xmlFriendlyReplacer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaxDriver

    public StaxDriver()

### StaxDriver

    public StaxDriver(QNameMap qnameMap)

### StaxDriver

    public StaxDriver(QNameMap qnameMap,
                      boolean repairingNamespace)

  Deprecated. since 1.2, use an explicit call to `setRepairingNamespace(boolean)`

### StaxDriver

    public StaxDriver(QNameMap qnameMap,
                      XmlFriendlyReplacer replacer)

Since:
  1.2

### StaxDriver

    public StaxDriver(XmlFriendlyReplacer replacer)

Since:
  1.2

Method Detail

### createReader

    public HierarchicalStreamReader createReader(Reader xml)

### createReader

    public HierarchicalStreamReader createReader(InputStream in)

### createWriter

    public HierarchicalStreamWriter createWriter(Writer out)

### createWriter

    public HierarchicalStreamWriter createWriter(OutputStream out)

### createStaxReader

    public AbstractPullReader createStaxReader(javax.xml.stream.XMLStreamReader in)

### createStaxWriter

    public StaxWriter createStaxWriter(javax.xml.stream.XMLStreamWriter out,
                                       boolean writeStartEndDocument)
                                throws javax.xml.stream.XMLStreamException

  Throws:
    `javax.xml.stream.XMLStreamException`

### createStaxWriter

    public StaxWriter createStaxWriter(javax.xml.stream.XMLStreamWriter out)
                                throws javax.xml.stream.XMLStreamException

  Throws:
    `javax.xml.stream.XMLStreamException`

### getQnameMap

    public QNameMap getQnameMap()

### setQnameMap

    public void setQnameMap(QNameMap qnameMap)

### getInputFactory

    public javax.xml.stream.XMLInputFactory getInputFactory()

### getOutputFactory

    public javax.xml.stream.XMLOutputFactory getOutputFactory()

### isRepairingNamespace

    public boolean isRepairingNamespace()

### setRepairingNamespace

    public void setRepairingNamespace(boolean repairing)

  Since:
    1.2

### createParser

    protected javax.xml.stream.XMLStreamReader createParser(Reader xml)
                                                     throws javax.xml.stream.XMLStreamException

  Throws:
    `javax.xml.stream.XMLStreamException`

### createParser

    protected javax.xml.stream.XMLStreamReader createParser(InputStream xml)
                                                     throws javax.xml.stream.XMLStreamException

  Throws:
    `javax.xml.stream.XMLStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.